package bean;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Schema implements Serializable {
   private String name;
   private String realName;
   private String databaseName;
   private List<Table> tableList = new ArrayList();
   private List<View> viewList = new ArrayList();
   private List<Synonym> synonymList = new ArrayList();

   public Schema(String name) {
      this.name = name;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public List<Table> getTableList() {
      if (this.tableList == null) {
         this.tableList = new ArrayList();
      }

      return this.tableList;
   }

   public void setTableList(List<Table> tableList) {
      this.tableList = tableList;
   }

   public List<View> getViewList() {
      if (this.viewList == null) {
         this.viewList = new ArrayList();
      }

      return this.viewList;
   }

   public void setViewList(List<View> viewList) {
      this.viewList = viewList;
   }

   public List<Synonym> getSynonymList() {
      if (this.synonymList == null) {
         this.synonymList = new ArrayList();
      }

      return this.synonymList;
   }

   public void setSynonymList(List<Synonym> synonymList) {
      this.synonymList = synonymList;
   }

   public String getRealName() {
      return this.realName;
   }

   public void setRealName(String realName) {
      this.realName = realName;
   }

   public String getDatabaseName() {
      return this.databaseName;
   }

   public void setDatabaseName(String databaseName) {
      this.databaseName = databaseName;
   }
}
